# rokka_client_codegen

This Ruby gem for rokka.io was automatically generated by [Swagger Codegen](https://github.com/swagger-api/swagger-codegen).

See the [examples](examples/) directory for some simple rokka specific examples.

A thin wrapper package for using this to make some things easier would be welcome. We're [happy to help](https://rokka.io/en/contact/).

- API version: 1.0.0
- Package version: 0.1.0

## Installation

### Use the gem from rubygems.org

Add this to your Gemfile:

```shell
gem 'rokka_client_codegen', '~> 0.1.0'
```

Or install it with: 
```shell
gem install rokka_client_codegen
```


### Build a gem from source

To build the Ruby code into a gem:

```shell
gem build rokka_client_codegen.gemspec
```

Then either install the gem locally:

```shell
gem install ./rokka_client_codegen-0.1.0.gem
```
(for development, run `gem install --dev ./rokka_client_codegen-0.1.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'rokka_client_codegen', '~> 0.1.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'rokka_client_codegen', :git => 'https://github.com/rokka-io/rokka-ruby-codegen.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then see the [examples](examples/)  directory.

## Documentation for API Endpoints

All URIs are relative to *https://api.rokka.io*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*RokkaClientCodegen::AdminApi* | [**create_membership**](docs/AdminApi.md#create_membership) | **PUT** /organizations/{organization}/memberships/{email} | Add a rokka user into an organization.
*RokkaClientCodegen::AdminApi* | [**create_organization**](docs/AdminApi.md#create_organization) | **PUT** /organizations/{organization} | Register a new Organization.
*RokkaClientCodegen::AdminApi* | [**create_organization_options**](docs/AdminApi.md#create_organization_options) | **PUT** /organizations/{organization}/options | Update options for an organization.
*RokkaClientCodegen::AdminApi* | [**create_user**](docs/AdminApi.md#create_user) | **POST** /users | Register new user.
*RokkaClientCodegen::AdminApi* | [**delete_membership**](docs/AdminApi.md#delete_membership) | **DELETE** /organizations/{organization}/memberships/{email} | Remove a user from an organization.
*RokkaClientCodegen::AdminApi* | [**get_membership**](docs/AdminApi.md#get_membership) | **GET** /organizations/{organization}/memberships/{email} | Get information about organization membership of a rokka user.
*RokkaClientCodegen::AdminApi* | [**get_organization**](docs/AdminApi.md#get_organization) | **GET** /organizations/{organization} | Get information about an organization.
*RokkaClientCodegen::SourceimagesApi* | [**copy_source_image**](docs/SourceimagesApi.md#copy_source_image) | **POST** /sourceimages/{organization}/{hash}/copy | Copy a single source image to another org.
*RokkaClientCodegen::SourceimagesApi* | [**create_source_image**](docs/SourceimagesApi.md#create_source_image) | **POST** /sourceimages/{organization} | Upload new source images.
*RokkaClientCodegen::SourceimagesApi* | [**create_source_image_meta_dynamic_with_name**](docs/SourceimagesApi.md#create_source_image_meta_dynamic_with_name) | **PUT** /sourceimages/{organization}/{hash}/meta/dynamic/{metaName} | Adds or updates a specific dynamic meta data for an image.
*RokkaClientCodegen::SourceimagesApi* | [**create_source_image_meta_user**](docs/SourceimagesApi.md#create_source_image_meta_user) | **PUT** /sourceimages/{organization}/{hash}/meta/user | Replace the image meta data with new information.
*RokkaClientCodegen::SourceimagesApi* | [**create_source_image_meta_user_wth_name**](docs/SourceimagesApi.md#create_source_image_meta_user_wth_name) | **PUT** /sourceimages/{organization}/{hash}/meta/user/{metaName} | Adds or updates one user meta data field for an image.
*RokkaClientCodegen::SourceimagesApi* | [**delete_source_image**](docs/SourceimagesApi.md#delete_source_image) | **DELETE** /sourceimages/{organization}/{hash} | Delete a single source image.
*RokkaClientCodegen::SourceimagesApi* | [**delete_source_image_meta_dynamic_with_name**](docs/SourceimagesApi.md#delete_source_image_meta_dynamic_with_name) | **DELETE** /sourceimages/{organization}/{hash}/meta/dynamic/{metaName} | Deletes a specific dynamic meta data.
*RokkaClientCodegen::SourceimagesApi* | [**delete_source_image_meta_user**](docs/SourceimagesApi.md#delete_source_image_meta_user) | **DELETE** /sourceimages/{organization}/{hash}/meta/user | Deletes all user meta data.
*RokkaClientCodegen::SourceimagesApi* | [**delete_source_image_meta_user_with_name**](docs/SourceimagesApi.md#delete_source_image_meta_user_with_name) | **DELETE** /sourceimages/{organization}/{hash}/meta/user/{metaName} | Deletes user meta data for a specified field.
*RokkaClientCodegen::SourceimagesApi* | [**download_source_image**](docs/SourceimagesApi.md#download_source_image) | **GET** /sourceimages/{organization}/{hash}/download | Download original source image binary.
*RokkaClientCodegen::SourceimagesApi* | [**get_source_image**](docs/SourceimagesApi.md#get_source_image) | **GET** /sourceimages/{organization}/{hash} | Get information about a source image.
*RokkaClientCodegen::SourceimagesApi* | [**get_source_image_meta_user**](docs/SourceimagesApi.md#get_source_image_meta_user) | **GET** /sourceimages/{organization}/{hash}/meta/user | Get all user meta data.
*RokkaClientCodegen::SourceimagesApi* | [**get_source_image_meta_user_with_name**](docs/SourceimagesApi.md#get_source_image_meta_user_with_name) | **GET** /sourceimages/{organization}/{hash}/meta/user/{metaName} | Get user meta for a specific field.
*RokkaClientCodegen::SourceimagesApi* | [**list_source_images**](docs/SourceimagesApi.md#list_source_images) | **GET** /sourceimages/{organization} | Get all images of an organization, with paging.
*RokkaClientCodegen::SourceimagesApi* | [**list_source_images_by_binary_hash**](docs/SourceimagesApi.md#list_source_images_by_binary_hash) | **GET** /sourceimages/{organization}/binaryhash/{binaryHash} | Get all images in this organization that match a binaryhash.
*RokkaClientCodegen::SourceimagesApi* | [**patch_source_image_meta_user**](docs/SourceimagesApi.md#patch_source_image_meta_user) | **PATCH** /sourceimages/{organization}/{hash}/meta/user | Update the specified meta data fields for an image.
*RokkaClientCodegen::SourceimagesApi* | [**restore_source_image**](docs/SourceimagesApi.md#restore_source_image) | **POST** /sourceimages/{organization}/{hash}/restore | Restore source image including previously set metadata.
*RokkaClientCodegen::StacksApi* | [**create_stack**](docs/StacksApi.md#create_stack) | **PUT** /stacks/{organization}/{name} | Create a new stack.
*RokkaClientCodegen::StacksApi* | [**delete_stack**](docs/StacksApi.md#delete_stack) | **DELETE** /stacks/{organization}/{name} | Delete a stack.
*RokkaClientCodegen::StacksApi* | [**get_stack**](docs/StacksApi.md#get_stack) | **GET** /stacks/{organization}/{name} | Get a single stack.
*RokkaClientCodegen::StacksApi* | [**list_operations**](docs/StacksApi.md#list_operations) | **GET** /operations | Listing all available operations that can be used in stacks.
*RokkaClientCodegen::StacksApi* | [**list_stack_options**](docs/StacksApi.md#list_stack_options) | **GET** /stackoptions | List all available options that can be set on stacks.
*RokkaClientCodegen::StacksApi* | [**list_stacks**](docs/StacksApi.md#list_stacks) | **GET** /stacks/{organization} | Get all stacks of an organization.


## Documentation for Models

 - [RokkaClientCodegen::ListSourceImagesResponse](docs/ListSourceImagesResponse.md)
 - [RokkaClientCodegen::ListStacksResponse](docs/ListStacksResponse.md)
 - [RokkaClientCodegen::Membership](docs/Membership.md)
 - [RokkaClientCodegen::Organization](docs/Organization.md)
 - [RokkaClientCodegen::OrganizationDefinition](docs/OrganizationDefinition.md)
 - [RokkaClientCodegen::OrganizationOptions](docs/OrganizationOptions.md)
 - [RokkaClientCodegen::Role](docs/Role.md)
 - [RokkaClientCodegen::SourceImage](docs/SourceImage.md)
 - [RokkaClientCodegen::Stack](docs/Stack.md)
 - [RokkaClientCodegen::StackDefinition](docs/StackDefinition.md)
 - [RokkaClientCodegen::StackExpression](docs/StackExpression.md)
 - [RokkaClientCodegen::StackExpressionOverrides](docs/StackExpressionOverrides.md)
 - [RokkaClientCodegen::StackOperation](docs/StackOperation.md)
 - [RokkaClientCodegen::StackOperationDescription](docs/StackOperationDescription.md)
 - [RokkaClientCodegen::StackOptions](docs/StackOptions.md)
 - [RokkaClientCodegen::User](docs/User.md)
 - [RokkaClientCodegen::UserDefinition](docs/UserDefinition.md)


## Documentation for Authorization


### ApiKeyAuth

- **Type**: API key
- **API key parameter name**: api-key
- **Location**: HTTP header

